View Issue Details

IDProjectCategoryView StatusLast Update
0000989DCP-o-maticBugspublic2018-10-17 20:15
Reportermarkusk Assigned Tocarl  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platform64-bitOSLinuxOS VersionArch
Product Version2.9.0 
Target Version2.10.0 
Summary0000989: dcpomatic git (92dfe9454ef49363f49c1) : error: ‘av_get_default_channel_layout’ ... and some more
Description

[ 11/341] Compiling src/lib/audio_mapping.cc
../src/lib/audio_filter_graph.cc: In constructor ‘AudioFilterGraph::AudioFilterGraph(int, int)’:
../src/lib/audio_filter_graph.cc:42:54: error: ‘av_get_default_channel_layout’ was not declared in this scope
_channel_layout = av_get_default_channel_layout (16);
^
../src/lib/audio_filter_graph.cc:44:61: error: ‘av_get_default_channel_layout’ was not declared in this scope
_channel_layout = av_get_default_channel_layout (_channels);
^
../src/lib/audio_filter_graph.cc: In member function ‘virtual std::__cxx11::string AudioFilterGraph::src_parameters() const’:
../src/lib/audio_filter_graph.cc:59:74: error: ‘av_get_channel_layout_string’ was not declared in this scope
av_get_channel_layout_string (layout, sizeof(layout), 0, _channel_layout);
^
../src/lib/audio_filter_graph.cc: In member function ‘void AudioFilterGraph::process(boost::shared_ptr<const AudioBuffers>)’:
../src/lib/audio_filter_graph.cc:107:81: error: ‘av_get_channel_layout_nb_channels’ was not declared in this scope
int const process_channels = av_get_channel_layout_nb_channels (_channel_layout);
^

Steps To Reproduce

compile git version on current Arch linux.

Additional Information

Installed Libs
libasdcp-cth 0.1.2-4
libcxml 0.15.1-3
libdcp-git 0.r1470.2429e8c-1
liblocked-sstream-git 0.r4.22163e0-1
libquickmail 0.1.22-1
libsub-git 0.r325.79ec1e0-1

TagsNo tags attached.
Branch
Estimated weeks required
Estimated work requiredAverage

Activities

markusk

2016-10-31 15:44

reporter  

config.log (46,412 bytes)   
# project dcpomatic (2.9.38devel) configured on Mon Oct 31 16:31:33 2016 by
# waf 1.8.5 (abi 98, python 30502f0 on linux)
# using waf configure --prefix=/usr
#
----------------------------------------
Setting top to
/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git
----------------------------------------
Setting out to
/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build
----------------------------------------
Checking for 'g++' (C++ compiler)
find program=['g++', 'c++'] paths=['/usr/local/git-annex.linux', '/home/mk/.gem/ruby/2.3.0/bin', '/home/mk/bin', '/home/mk/bin', '/usr/local/sbin', '/usr/local/bin', '/usr/bin', '/usr/lib/jvm/default/bin', '/usr/bin/site_perl', '/usr/bin/vendor_perl', '/usr/bin/core_perl', '/home/mk/Compile/chromium/depot_tools.git', '/usr/local/cuda/bin'] var='CXX' -> ['/usr/bin/g++']
find program=['ar'] paths=['/usr/local/git-annex.linux', '/home/mk/.gem/ruby/2.3.0/bin', '/home/mk/bin', '/home/mk/bin', '/usr/local/sbin', '/usr/local/bin', '/usr/bin', '/usr/lib/jvm/default/bin', '/usr/bin/site_perl', '/usr/bin/vendor_perl', '/usr/bin/core_perl', '/home/mk/Compile/chromium/depot_tools.git', '/usr/local/cuda/bin'] var='AR' -> ['/usr/bin/ar']
/usr/bin/g++
----------------------------------------
Checking for program 'pkg-config'
/usr/bin/pkg-config
find program=['pkg-config'] paths=['/usr/local/git-annex.linux', '/home/mk/.gem/ruby/2.3.0/bin', '/home/mk/bin', '/home/mk/bin', '/usr/local/sbin', '/usr/local/bin', '/usr/bin', '/usr/lib/jvm/default/bin', '/usr/bin/site_perl', '/usr/bin/vendor_perl', '/usr/bin/core_perl', '/home/mk/Compile/chromium/depot_tools.git', '/usr/local/cuda/bin'] var='PKGCONFIG' -> ['/usr/bin/pkg-config']
----------------------------------------
Checking for 'gtk+-2.0'
['/usr/bin/pkg-config', '--cflags', '--libs', 'gtk+-2.0']
out: -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libdrm -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype

yes
----------------------------------------
Checking for 'libcurl' >= 7.19.1
['/usr/bin/pkg-config', '--atleast-version=7.19.1', 'libcurl']
['/usr/bin/pkg-config', '--cflags', '--libs', 'libcurl']
out: -lcurl

yes
----------------------------------------
Checking for 'icu-i18n'
['/usr/bin/pkg-config', '--cflags', '--libs', 'icu-i18n']
out: -licui18n -licuuc -licudata

yes
----------------------------------------
Checking for 'samplerate'
['/usr/bin/pkg-config', '--cflags', '--libs', 'samplerate']
out: -lsamplerate

yes
----------------------------------------
Checking for 'glib-2.0'
['/usr/bin/pkg-config', '--cflags', '--libs', 'glib-2.0']
out: -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -lglib-2.0

yes
----------------------------------------
Checking for 'Magick++-config'
['Magick++-config', '--cppflags', '--cxxflags', '--libs']
out: -fopenmp -DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -fopenmp -DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -fopenmp -DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -I/usr/include/ImageMagick-6
-fopenmp -DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -fopenmp -DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -fopenmp -DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -I/usr/include/ImageMagick-6
-lMagick++-6.Q16HDRI -lMagickWand-6.Q16HDRI -lMagickCore-6.Q16HDRI

yes
----------------------------------------
Checking for MagickCore namespace
==>

                            #include <Magick++/Include.h>

                            using namespace MagickCore;

                            int main () { return 0; }

                            
<==
[1/2] Compiling build/.conf_check_b8cb436724919b4737e61ee0ab09c7ef/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-I/usr/include/ImageMagick-6', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_b8cb436724919b4737e61ee0ab09c7ef/testbuild/test.cpp.1.o']
err: In file included from /usr/include/ImageMagick-6/Magick++/Include.h:14:0,
                 from ../test.cpp:2:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^~~~~~~
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^~~~~~~
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^~~~~~~
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^~~~~~~
In file included from /usr/include/ImageMagick-6/magick/MagickCore.h:134:0,
                 from /usr/include/ImageMagick-6/Magick++/Include.h:42,
                 from ../test.cpp:2:
/usr/include/ImageMagick-6/magick/pixel-accessor.h: In function ‘MagickCore::MagickRealType MagickCore::GetPixelLuma(const Image*, const PixelPacket*)’:
/usr/include/ImageMagick-6/magick/pixel-accessor.h:138:72: warning: unused parameter ‘image’ [-Wunused-parameter]
 static inline MagickRealType GetPixelLuma(const Image *magick_restrict image,
                                                                        ^~~~~

[2/2] Linking build/.conf_check_b8cb436724919b4737e61ee0ab09c7ef/testbuild/testprog

['/usr/bin/g++', '-Wl,-O1,--sort-common,--as-needed,-z,relro', '-pthread', 'test.cpp.1.o', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_b8cb436724919b4737e61ee0ab09c7ef/testbuild/testprog', '-Wl,-Bstatic', '-Wl,-Bdynamic']
yes
----------------------------------------
Checking for MagickLib namespace
==>

                            #include <Magick++/Include.h>

                            using namespace MagickLib;

                            int main () { return 0; }

                            
<==
[1/2] Compiling build/.conf_check_a9abb6a99829f5e10b598893a0bec8d6/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-I/usr/include/ImageMagick-6', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_a9abb6a99829f5e10b598893a0bec8d6/testbuild/test.cpp.1.o']
err: In file included from /usr/include/ImageMagick-6/Magick++/Include.h:14:0,
                 from ../test.cpp:2:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^~~~~~~
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^~~~~~~
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^~~~~~~
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^~~~~~~
In file included from /usr/include/ImageMagick-6/magick/MagickCore.h:134:0,
                 from /usr/include/ImageMagick-6/Magick++/Include.h:42,
                 from ../test.cpp:2:
/usr/include/ImageMagick-6/magick/pixel-accessor.h: In function ‘MagickCore::MagickRealType MagickCore::GetPixelLuma(const Image*, const PixelPacket*)’:
/usr/include/ImageMagick-6/magick/pixel-accessor.h:138:72: warning: unused parameter ‘image’ [-Wunused-parameter]
 static inline MagickRealType GetPixelLuma(const Image *magick_restrict image,
                                                                        ^~~~~
../test.cpp: At global scope:
../test.cpp:4:45: error: ‘MagickLib’ is not a namespace-name
                             using namespace MagickLib;
                                             ^~~~~~~~~
../test.cpp:4:54: error: expected namespace-name before ‘;’ token
                             using namespace MagickLib;
                                                      ^

from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: Test does not build: Traceback (most recent call last):
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Configure.py", line 329, in run_build
    bld.compile()
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Build.py", line 182, in compile
    raise Errors.BuildError(self.producer.error)
waflib.Errors.BuildError: Build failed
 -> task in 'testprog' failed (exit status 1): 
	{task 140564209368088: cxx test.cpp -> test.cpp.1.o}
['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-I/usr/include/ImageMagick-6', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_a9abb6a99829f5e10b598893a0bec8d6/testbuild/test.cpp.1.o']

no
from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: The configuration failed
----------------------------------------
Checking for 'libzip'
['/usr/bin/pkg-config', '--cflags', '--libs', 'libzip']
out: -I/usr/lib/libzip/include -lzip -lz

yes
----------------------------------------
Checking for 'fontconfig'
['/usr/bin/pkg-config', '--cflags', '--libs', 'fontconfig']
out: -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -lfontconfig -lfreetype

yes
----------------------------------------
Checking for 'pangomm-1.4'
['/usr/bin/pkg-config', '--cflags', '--libs', 'pangomm-1.4']
out: -I/usr/include/pangomm-1.4 -I/usr/lib/pangomm-1.4/include -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libdrm -I/usr/include/libpng16 -lpangomm-1.4 -lglibmm-2.4 -lcairomm-1.0 -lsigc-2.0 -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lcairo

yes
----------------------------------------
Checking for 'cairomm-1.0'
['/usr/bin/pkg-config', '--cflags', '--libs', 'cairomm-1.0']
out: -I/usr/include/cairomm-1.0 -I/usr/lib/cairomm-1.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -lcairomm-1.0 -lcairo -lsigc-2.0

yes
----------------------------------------
Checking for format_stride_for_width
==>

                            #include <cairomm/cairomm.h>
                            int main(void) {
                                Cairo::ImageSurface::format_stride_for_width (Cairo::FORMAT_ARGB, 1024);

                                return 0; }

                            
<==
[1/2] Compiling build/.conf_check_1bf540f7e21478e506ae8de58e6f6b15/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-I/usr/include/cairomm-1.0', '-I/usr/lib/cairomm-1.0/include', '-I/usr/include/cairo', '-I/usr/include/pixman-1', '-I/usr/include/freetype2', '-I/usr/include/libpng16', '-I/usr/include/harfbuzz', '-I/usr/include/glib-2.0', '-I/usr/lib/glib-2.0/include', '-I/usr/include/libdrm', '-I/usr/include/sigc++-2.0', '-I/usr/lib/sigc++-2.0/include', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_1bf540f7e21478e506ae8de58e6f6b15/testbuild/test.cpp.1.o']
err: ../test.cpp: In function ‘int main()’:
../test.cpp:4:79: error: ‘FORMAT_ARGB’ is not a member of ‘Cairo’
                                 Cairo::ImageSurface::format_stride_for_width (Cairo::FORMAT_ARGB, 1024);
                                                                               ^~~~~

from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: Test does not build: Traceback (most recent call last):
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Configure.py", line 329, in run_build
    bld.compile()
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Build.py", line 182, in compile
    raise Errors.BuildError(self.producer.error)
waflib.Errors.BuildError: Build failed
 -> task in 'testprog' failed (exit status 1): 
	{task 140564210100432: cxx test.cpp -> test.cpp.1.o}
['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-I/usr/include/cairomm-1.0', '-I/usr/lib/cairomm-1.0/include', '-I/usr/include/cairo', '-I/usr/include/pixman-1', '-I/usr/include/freetype2', '-I/usr/include/libpng16', '-I/usr/include/harfbuzz', '-I/usr/include/glib-2.0', '-I/usr/lib/glib-2.0/include', '-I/usr/include/libdrm', '-I/usr/include/sigc++-2.0', '-I/usr/lib/sigc++-2.0/include', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_1bf540f7e21478e506ae8de58e6f6b15/testbuild/test.cpp.1.o']

no
from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: The configuration failed
----------------------------------------
Checking for 'libcxml' >= 0.15.1
['/usr/bin/pkg-config', '--atleast-version=0.15.1', 'libcxml']
['/usr/bin/pkg-config', '--cflags', '--libs', 'libcxml']
out: -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -lcxml -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lglib-2.0 -lsigc-2.0

yes
----------------------------------------
Checking for library libssh
==>

                               #include <libssh/libssh.h>

                               int main () {

                               ssh_session s = ssh_new ();

                               return 0;

                               }
                               
<==
[1/1] Compiling build/.conf_check_d80ac3e3d16ceac5240525e4f8f755fc/test.c

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.c', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_d80ac3e3d16ceac5240525e4f8f755fc/testbuild/test.c.1.o']
err: ../test.c: In function ‘int main()’:
../test.c:6:44: warning: unused variable ‘s’ [-Wunused-variable]
                                ssh_session s = ssh_new ();
                                            ^

yes
----------------------------------------
Checking for 'libdcp-1.0' >= 1.4.0
['/usr/bin/pkg-config', '--atleast-version=1.4.0', 'libdcp-1.0']
['/usr/bin/pkg-config', '--cflags', '--libs', 'libdcp-1.0']
out: -DXMLSEC_CRYPTO=\"openssl\" -DXMLSEC_CRYPTO_DYNAMIC_LOADING=1 -D__XMLSEC_FUNCTION__=__FUNCTION__ -DXMLSEC_NO_SIZE_T -DXMLSEC_NO_GOST=1 -DXMLSEC_NO_XKMS=1 -DXMLSEC_DL_LIBLTDL=1 -I/usr/include/libdcp-1.0 -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/xmlsec1 -I/usr/include/libxml2 -I/usr/include/libasdcp-cth -ldcp-1.0 -lcxml -lboost_system -lxml++-2.6 -lglibmm-2.4 -lgobject-2.0 -lglib-2.0 -lsigc-2.0 -lxmlsec1 -lltdl -lxslt -lxml2 -lz -llzma -lm -ldl -lm -lxml2 -lasdcp-cth -lkumu-cth -lboost_system -lssl -lcrypto

yes
----------------------------------------
Checking for 'libsub-1.0' >= 1.2.0
['/usr/bin/pkg-config', '--atleast-version=1.2.0', 'libsub-1.0']
['/usr/bin/pkg-config', '--cflags', '--libs', 'libsub-1.0']
out: -I/usr/include/libsub-1.0 -lsub-1.0 -lboost_system

yes
----------------------------------------
Checking for 'libxml++-2.6'
['/usr/bin/pkg-config', '--cflags', '--libs', 'libxml++-2.6']
out: -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lglib-2.0 -lsigc-2.0

yes
----------------------------------------
Checking for 'nettle'
['/usr/bin/pkg-config', '--cflags', '--libs', 'nettle']
out: -lnettle

yes
----------------------------------------
Checking for 'libavformat'
['/usr/bin/pkg-config', '--cflags', '--libs', 'libavformat']
out: -lavformat

yes
----------------------------------------
Checking for 'libavfilter'
['/usr/bin/pkg-config', '--cflags', '--libs', 'libavfilter']
out: -lavfilter

yes
----------------------------------------
Checking for 'libavcodec'
['/usr/bin/pkg-config', '--cflags', '--libs', 'libavcodec']
out: -lavcodec

yes
----------------------------------------
Checking for 'libavutil'
['/usr/bin/pkg-config', '--cflags', '--libs', 'libavutil']
out: -lavutil

yes
----------------------------------------
Checking for 'libswscale'
['/usr/bin/pkg-config', '--cflags', '--libs', 'libswscale']
out: -lswscale

yes
----------------------------------------
Checking for 'libpostproc'
['/usr/bin/pkg-config', '--cflags', '--libs', 'libpostproc']
out: -lpostproc

yes
----------------------------------------
Checking for EBUR128-patched FFmpeg
==>

                            extern "C" {

                            #include <libavfilter/f_ebur128.h>

                            }

                            int main () { av_ebur128_get_true_peaks (0); }

                            
<==
[1/2] Compiling build/.conf_check_849ea0cdb7651de22b5a736341b0d75b/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_849ea0cdb7651de22b5a736341b0d75b/testbuild/test.cpp.1.o']
err: ../test.cpp:4:63: fatal error: libavfilter/f_ebur128.h: No such file or directory
                             #include <libavfilter/f_ebur128.h>
                                                               ^
compilation terminated.

from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: Test does not build: Traceback (most recent call last):
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Configure.py", line 329, in run_build
    bld.compile()
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Build.py", line 182, in compile
    raise Errors.BuildError(self.producer.error)
waflib.Errors.BuildError: Build failed
 -> task in 'testprog' failed (exit status 1): 
	{task 140564210142400: cxx test.cpp -> test.cpp.1.o}
['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_849ea0cdb7651de22b5a736341b0d75b/testbuild/test.cpp.1.o']

no
from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: The configuration failed
----------------------------------------
Checking for AVSubtitleRect::pict
==>

                            extern "C" {

                            #include <libavcodec/avcodec.h>

                            }

                            int main () { AVSubtitleRect r; r.pict; }

                            
<==
[1/2] Compiling build/.conf_check_516333e0e9d7a3bfe32702aa233b9de7/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-Wno-unused-result', '-Wno-unused-value', '-Wdeprecated-declarations', '-Werror', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_516333e0e9d7a3bfe32702aa233b9de7/testbuild/test.cpp.1.o']
err: ../test.cpp: In function ‘int main()’:
../test.cpp:8:63: error: ‘AVSubtitleRect::pict’ is deprecated [-Werror=deprecated-declarations]
                             int main () { AVSubtitleRect r; r.pict; }
                                                               ^~~~
In file included from ../test.cpp:4:0:
/usr/include/libavcodec/avcodec.h:3933:15: note: declared here
     AVPicture pict;
               ^~~~
../test.cpp:8:63: error: ‘AVSubtitleRect::pict’ is deprecated [-Werror=deprecated-declarations]
                             int main () { AVSubtitleRect r; r.pict; }
                                                               ^~~~
In file included from ../test.cpp:4:0:
/usr/include/libavcodec/avcodec.h:3933:15: note: declared here
     AVPicture pict;
               ^~~~
../test.cpp:8:63: error: ‘AVSubtitleRect::pict’ is deprecated [-Werror=deprecated-declarations]
                             int main () { AVSubtitleRect r; r.pict; }
                                                               ^~~~
In file included from ../test.cpp:4:0:
/usr/include/libavcodec/avcodec.h:3933:15: note: declared here
     AVPicture pict;
               ^~~~
cc1plus: all warnings being treated as errors

from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: Test does not build: Traceback (most recent call last):
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Configure.py", line 329, in run_build
    bld.compile()
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Build.py", line 182, in compile
    raise Errors.BuildError(self.producer.error)
waflib.Errors.BuildError: Build failed
 -> task in 'testprog' failed (exit status 1): 
	{task 140564210189312: cxx test.cpp -> test.cpp.1.o}
['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-Wno-unused-result', '-Wno-unused-value', '-Wdeprecated-declarations', '-Werror', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_516333e0e9d7a3bfe32702aa233b9de7/testbuild/test.cpp.1.o']

no
from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: The configuration failed
------------------------------------------------
Checking for AVComponentDescriptor::depth_minus1
==>

                            extern "C" {

                            #include <libavutil/pixdesc.h>

                            }

                            int main () { AVComponentDescriptor d; d.depth_minus1; }

                            
<==
[1/2] Compiling build/.conf_check_ed1d07215fcbecfa212ded8ce10eb141/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-Wno-unused-result', '-Wno-unused-value', '-Wdeprecated-declarations', '-Werror', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_ed1d07215fcbecfa212ded8ce10eb141/testbuild/test.cpp.1.o']
err: ../test.cpp: In function ‘int main()’:
../test.cpp:8:70: error: ‘AVComponentDescriptor::depth_minus1’ is deprecated [-Werror=deprecated-declarations]
                             int main () { AVComponentDescriptor d; d.depth_minus1; }
                                                                      ^~~~~~~~~~~~
In file included from ../test.cpp:4:0:
/usr/include/libavutil/pixdesc.h:65:30: note: declared here
     attribute_deprecated int depth_minus1;
                              ^~~~~~~~~~~~
../test.cpp:8:70: error: ‘AVComponentDescriptor::depth_minus1’ is deprecated [-Werror=deprecated-declarations]
                             int main () { AVComponentDescriptor d; d.depth_minus1; }
                                                                      ^~~~~~~~~~~~
In file included from ../test.cpp:4:0:
/usr/include/libavutil/pixdesc.h:65:30: note: declared here
     attribute_deprecated int depth_minus1;
                              ^~~~~~~~~~~~
../test.cpp:8:70: error: ‘AVComponentDescriptor::depth_minus1’ is deprecated [-Werror=deprecated-declarations]
                             int main () { AVComponentDescriptor d; d.depth_minus1; }
                                                                      ^~~~~~~~~~~~
In file included from ../test.cpp:4:0:
/usr/include/libavutil/pixdesc.h:65:30: note: declared here
     attribute_deprecated int depth_minus1;
                              ^~~~~~~~~~~~
cc1plus: all warnings being treated as errors

from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: Test does not build: Traceback (most recent call last):
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Configure.py", line 329, in run_build
    bld.compile()
  File "/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/.waf3-1.8.5-69c046f2063dbb528ecf1ab20607ba25/waflib/Build.py", line 182, in compile
    raise Errors.BuildError(self.producer.error)
waflib.Errors.BuildError: Build failed
 -> task in 'testprog' failed (exit status 1): 
	{task 140564210101216: cxx test.cpp -> test.cpp.1.o}
['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-Wno-unused-result', '-Wno-unused-value', '-Wdeprecated-declarations', '-Werror', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_ed1d07215fcbecfa212ded8ce10eb141/testbuild/test.cpp.1.o']

no
from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git: The configuration failed
------------------------------------------------
Checking for boost library >= 1.45
==>

                            #include <boost/version.hpp>

                            #if BOOST_VERSION < 104500

                            #error boost too old

                            #endif

                            int main(void) { return 0; }

                            
<==
[1/2] Compiling build/.conf_check_fabf15d7c95c96b7c6041a3e7150d9b1/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_fabf15d7c95c96b7c6041a3e7150d9b1/testbuild/test.cpp.1.o']
[2/2] Linking build/.conf_check_fabf15d7c95c96b7c6041a3e7150d9b1/testbuild/testprog

['/usr/bin/g++', '-Wl,-O1,--sort-common,--as-needed,-z,relro', '-pthread', 'test.cpp.1.o', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_fabf15d7c95c96b7c6041a3e7150d9b1/testbuild/testprog', '-Wl,-Bstatic', '-Wl,-Bdynamic']
yes
------------------------------------------------
Checking for boost threading library
==>

    			    #include <boost/thread.hpp>

    			    int main() { boost::thread t (); }

			    
<==
[1/2] Compiling build/.conf_check_c1cda2c7db3208e8255621c9cc4716c0/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_c1cda2c7db3208e8255621c9cc4716c0/testbuild/test.cpp.1.o']
[2/2] Linking build/.conf_check_c1cda2c7db3208e8255621c9cc4716c0/testbuild/testprog

['/usr/bin/g++', '-Wl,-O1,--sort-common,--as-needed,-z,relro', '-pthread', 'test.cpp.1.o', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_c1cda2c7db3208e8255621c9cc4716c0/testbuild/testprog', '-Wl,-Bstatic', '-Wl,-Bdynamic', '-L/usr/local/lib', '-lboost_thread', '-lboost_system']
yes
------------------------------------------------
Checking for boost filesystem library
==>

    			    #include <boost/filesystem.hpp>

    			    int main() { boost::filesystem::copy_file ("a", "b"); }

			    
<==
[1/2] Compiling build/.conf_check_64eab8012ae49ae4d3f299a83444c609/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_64eab8012ae49ae4d3f299a83444c609/testbuild/test.cpp.1.o']
[2/2] Linking build/.conf_check_64eab8012ae49ae4d3f299a83444c609/testbuild/testprog

['/usr/bin/g++', '-Wl,-O1,--sort-common,--as-needed,-z,relro', '-pthread', 'test.cpp.1.o', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_64eab8012ae49ae4d3f299a83444c609/testbuild/testprog', '-Wl,-Bstatic', '-Wl,-Bdynamic', '-L/usr/local/lib', '-lboost_filesystem', '-lboost_system']
yes
------------------------------------------------
Checking for boost datetime library
==>

    			    #include <boost/date_time.hpp>

    			    int main() { boost::gregorian::day_clock::local_day(); }

			    
<==
[1/2] Compiling build/.conf_check_9f98d99b30955281982cae564b4484a6/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_9f98d99b30955281982cae564b4484a6/testbuild/test.cpp.1.o']
[2/2] Linking build/.conf_check_9f98d99b30955281982cae564b4484a6/testbuild/testprog

['/usr/bin/g++', '-Wl,-O1,--sort-common,--as-needed,-z,relro', '-pthread', 'test.cpp.1.o', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_9f98d99b30955281982cae564b4484a6/testbuild/testprog', '-Wl,-Bstatic', '-Wl,-Bdynamic', '-L/usr/local/lib', '-lboost_date_time', '-lboost_system']
yes
------------------------------------------------
Checking for boost signals2 library
==>

    			    #include <boost/signals2.hpp>

    			    int main() { boost::signals2::signal<void (int)> x; }

			    
<==
[1/2] Compiling build/.conf_check_79319eba4fbc2cb3a1e78bb46d62357a/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_79319eba4fbc2cb3a1e78bb46d62357a/testbuild/test.cpp.1.o']
[2/2] Linking build/.conf_check_79319eba4fbc2cb3a1e78bb46d62357a/testbuild/testprog

['/usr/bin/g++', '-Wl,-O1,--sort-common,--as-needed,-z,relro', '-pthread', 'test.cpp.1.o', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_79319eba4fbc2cb3a1e78bb46d62357a/testbuild/testprog', '-Wl,-Bstatic', '-Wl,-Bdynamic']
yes
------------------------------------------------
Checking for boost regex library
==>

    			    #include <boost/regex.hpp>

    			    int main() { boost::regex re ("foo"); }

			    
<==
[1/2] Compiling build/.conf_check_1c336ac096fc3da271af856377ad4d94/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_1c336ac096fc3da271af856377ad4d94/testbuild/test.cpp.1.o']
[2/2] Linking build/.conf_check_1c336ac096fc3da271af856377ad4d94/testbuild/testprog

['/usr/bin/g++', '-Wl,-O1,--sort-common,--as-needed,-z,relro', '-pthread', 'test.cpp.1.o', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_1c336ac096fc3da271af856377ad4d94/testbuild/testprog', '-Wl,-Bstatic', '-Wl,-Bdynamic', '-lboost_regex']
yes
------------------------------------------------
Checking for program 'msgfmt'
/usr/bin/msgfmt
find program=['msgfmt'] paths=['/usr/local/git-annex.linux', '/home/mk/.gem/ruby/2.3.0/bin', '/home/mk/bin', '/home/mk/bin', '/usr/local/sbin', '/usr/local/bin', '/usr/bin', '/usr/lib/jvm/default/bin', '/usr/bin/site_perl', '/usr/bin/vendor_perl', '/usr/bin/core_perl', '/home/mk/Compile/chromium/depot_tools.git', '/usr/local/cuda/bin'] var='MSGFMT' -> ['/usr/bin/msgfmt']
------------------------------------------------
Checking for wxWidgets using wx-config-3.0-gtk2
['wx-config-3.0-gtk2', '--cppflags', '--cxxflags', '--libs', 'std,richtext']
not found
from /home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/src/wx: The configuration failed
------------------------------------------------
Checking for wxWidgets using wx-config
['wx-config', '--cppflags', '--cxxflags', '--libs', 'std,richtext']
out: -I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__
-I/usr/lib/wx/include/gtk2-unicode-3.0 -I/usr/include/wx-3.0 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread
-pthread   -lwx_gtk2u_richtext-3.0 -lwx_gtk2u_xrc-3.0 -lwx_gtk2u_webview-3.0 -lwx_gtk2u_html-3.0 -lwx_gtk2u_qa-3.0 -lwx_gtk2u_adv-3.0 -lwx_gtk2u_core-3.0 -lwx_baseu_xml-3.0 -lwx_baseu_net-3.0 -lwx_baseu-3.0 

yes
['wx-config', '--version']
out: 3.0.2

['/usr/bin/pkg-config', '--cflags', '--libs', 'sndfile']
out: -lsndfile

==>

                            #define BOOST_TEST_MODULE Config test

    			    #include <boost/test/unit_test.hpp>

                            int main() {}
                            
<==
[1/2] Compiling build/.conf_check_922b24815579ad29f7b5da77d360cf9c/test.cpp

['/usr/bin/g++', '-D_FORTIFY_SOURCE=2', '-march=x86-64', '-mtune=generic', '-O2', '-pipe', '-fstack-protector-strong', '--std=c++11', '-D__STDC_CONSTANT_MACROS', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-msse', '-fno-strict-aliasing', '-Wall', '-Wno-attributes', '-Wextra', '-Wno-deprecated-declarations', '-D_FILE_OFFSET_BITS=64', '-Wno-unused-result', '-O2', '-DDCPOMATIC_POSIX', '-mfpmath=sse', '-DLINUX_LOCALE_PREFIX="/usr/share/locale"', '-DLINUX_SHARE_PREFIX="/usr/share/dcpomatic2"', '-DDCPOMATIC_LINUX', '-DDCPOMATIC_IMAGE_MAGICK', '-std=c++11', '-DDCPOMATIC_HAVE_MAGICKCORE_NAMESPACE=1', '-DLOCALEDIR="/usr/share/locale"', '-DDATADIR="/usr/share"', '../test.cpp', '-c', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_922b24815579ad29f7b5da77d360cf9c/testbuild/test.cpp.1.o']
[2/2] Linking build/.conf_check_922b24815579ad29f7b5da77d360cf9c/testbuild/testprog

['/usr/bin/g++', '-Wl,-O1,--sort-common,--as-needed,-z,relro', '-pthread', 'test.cpp.1.o', '-o', '/home/mk/GIT-Repos/aur4.archlinux.org/Eigene/GIT/dcpomatic-git/src/dcpomatic-git/build/.conf_check_922b24815579ad29f7b5da77d360cf9c/testbuild/testprog', '-Wl,-Bstatic', '-Wl,-Bdynamic', '-lboost_unit_test_framework']
config.log (46,412 bytes)   

carl

2016-10-31 16:08

administrator   ~0001502

Is that with FFmpeg from Arch?

markusk

2016-10-31 16:44

reporter   ~0001505

Yes

pacaur -Q |grep ffmpeg

ffmpeg 1:3.2-2
ffmpeg0.10 0.10.16-2
ffmpeg2.8 2.8.7-4
ffmpegthumbnailer 2.1.1-1

markusk

2016-10-31 17:21

reporter   ~0001509

extra/ffmpeg 1:3.2-2 [Installiert]
extra/ffmpeg2.8 2.8.7-4 [Installiert]
extra/ffmpegthumbnailer 2.1.1-1 [Installiert]
extra/gst-libav 1.9.90+2+g108b08c-1 [Installiert]

markusk

2016-11-01 18:12

reporter   ~0001515

Just did a complete recheck with a new VM installing fresh and then libcxml-git liblocked-socket-git libdcp-git libsub-git dcpomatic-git using the attached vagrant file

markusk

2016-11-01 18:15

reporter  

Vagrantfile (2,990 bytes)   
# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure(2) do |config|
  # The most common configuration options are documented and commented below.
  # For a complete reference, please see the online documentation at
  # https://docs.vagrantup.com.

  # Every Vagrant development environment requires a box. You can search for
  # boxes at https://atlas.hashicorp.com/search.
  config.vm.box = "terrywang/archlinux"

  # Disable automatic box update checking. If you disable this, then
  # boxes will only be checked for updates when the user runs
  # `vagrant box outdated`. This is not recommended.
  # config.vm.box_check_update = false

  # Create a forwarded port mapping which allows access to a specific port
  # within the machine from a port on the host machine. In the example below,
  # accessing "localhost:8080" will access port 80 on the guest machine.
  # config.vm.network "forwarded_port", guest: 80, host: 8080

  # Create a private network, which allows host-only access to the machine
  # using a specific IP.
  # config.vm.network "private_network", ip: "192.168.33.10"

  # Create a public network, which generally matched to bridged network.
  # Bridged networks make the machine appear as another physical device on
  # your network.
  # config.vm.network "public_network"

  # Share an additional folder to the guest VM. The first argument is
  # the path on the host to the actual folder. The second argument is
  # the path on the guest to mount the folder. And the optional third
  # argument is a set of non-required options.
  # config.vm.synced_folder "../data", "/vagrant_data"

  # Provider-specific configuration so you can fine-tune various
  # backing providers for Vagrant. These expose provider-specific options.
  # Example for VirtualBox:
  #
  config.vm.provider "virtualbox" do |vb|
     # Display the VirtualBox GUI when booting the machine
     #vb.gui = truexs

     # Customize the amount of memory on the VM:
     vb.memory = "2560"
  end

  #
  # View the documentation for the provider you are using for more
  # information on available options.

  # Define a Vagrant Push strategy for pushing to Atlas. Other push strategies
  # such as FTP and Heroku are also available. See the documentation at
  # https://docs.vagrantup.com/v2/push/atlas.html for more information.
  # config.push.define "atlas" do |push|
  #   push.app = "YOUR_ATLAS_USERNAME/YOUR_APPLICATION_NAME"
  # end

  # Enable provisioning with a shell script. Additional provisioners such as
  # Puppet, Chef, Ansible, Salt, and Docker are also available. Please see the
  # documentation for more information about their specific syntax and use.
  config.vm.provision "shell", inline: <<-SHELL
     sudo pacman -Syu  --noconfirm
 SHELL
end
Vagrantfile (2,990 bytes)   

carl

2016-11-02 12:26

administrator   ~0001516

Should be fixed by 58b5c57c9a4767c786a1428f243c60ff52c82c26 in master.

Issue History

Date Modified Username Field Change
2016-10-31 15:44 markusk New Issue
2016-10-31 15:44 markusk File Added: config.log
2016-10-31 16:08 carl Note Added: 0001502
2016-10-31 16:08 carl Assigned To => carl
2016-10-31 16:08 carl Status new => feedback
2016-10-31 16:25 carl Target Version => 2.10.0
2016-10-31 16:44 markusk Note Added: 0001505
2016-10-31 16:44 markusk Status feedback => assigned
2016-10-31 17:21 markusk Note Added: 0001509
2016-11-01 18:12 markusk Note Added: 0001515
2016-11-01 18:15 markusk File Added: Vagrantfile
2016-11-02 12:26 carl Note Added: 0001516
2016-11-02 12:26 carl Status assigned => resolved
2016-11-02 12:26 carl Resolution open => fixed
2018-10-17 20:15 carl Status resolved => closed